function [f, b, sigma, Pd] = m_step(X, alpha, f, b, sigma, m)
% 
%  maximizes margina log-likelihood by optimizing f,b,sigma given esitmate of posteriors defined by alpha
%
% Input parameters:
%   X      ... H x W x N matrix, N images that contain the villain
%   m      ... use first m images for estimation
%   alpha  ... W-w+1 x m, posterior of displacement of villain's
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background
%   sigma  ... 1 x 1 sigma, estimate of VARIANCE of noise
%
% Output parameters:
%   f      ... H x w matrix, estimate of villain's face
%   b      ... 1 x 1 double, estimate of background color
%   sigma  ... 1 x 1 sigma, estimate of VARIANCE of noise
%   Pd     ... W-w+1 x 1 vector, current prior on displacement of
%                  villain's face in each image
w = 36;
H = size(X,1);
W = size(X,2);
HW = H*W;
dmax = W-w+1;

% Estimate Pd

% Estimate f,b
for k = 1:m
    for d = 1:dmax
    end
end

%Estimate sigma
for k = 1:m
    for d = 1:dmax
    end
end